## wireshark 3.2.8

=== debian/changelog ===
wireshark (3.2.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 3.2.8
    - security fixes:
      - FBZERO dissector crash. (CVE-2020-26575) (Closes: #974688)
      - GQUIC dissector crash. (CVE-2020-28030) (Closes: #974689)

 -- Adrian Bunk <bunk@debian.org>  Mon, 23 Nov 2020 00:04:50 +0200
