=== debian/changelog ===
wireshark (3.4.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Dec 2020 14:21:09 -0800

wireshark (3.4.1-1) unstable; urgency=medium

  * Build depend on libbcg729-dev for G.729 codec support
  * debian/watch: Monitor new tags on gitlab.com
  * New upstream version 3.4.1
    - security fixes:
      - Kafka dissector memory leak. (CVE-2020-26418)
      - USB HID dissector crash. (CVE-2020-26421)
      - RTPS dissector memory leak. (CVE-2020-26420)
      - Multiple dissector memory leak. (CVE-2020-26419)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 11 Dec 2020 23:38:37 +0100

wireshark (3.4.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 06 Dec 2020 21:28:59 +0100

wireshark (3.4.0-0exp1) experimental; urgency=medium

  [ Balint Reczey ]
  * New upstream version 3.4.0
  * Update links to use HTTPS
  * Update symbols files
  * debian/control: Drop obsolete build dependencies: w3m, lynx, libglib2.0-dev
  * Refresh patches
  * ACK NMU, thanks Adrian Bunk!
  * Build-depend on libminizip-dev to enable Minizip support

  [ Gerald Combs ]
  * Depend on libqt5svg5 instead of build-depending on libqt5svg5-dev

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 06 Dec 2020 13:52:29 +0100
